%define alpha 4
Name: partitionmorpher
Version: 0.3
Release: alt5.1

Summary: Powerful Disk Partitioning Tool
Summary(be_BY.UTF-8): Інструмэнт кіраваньня падзеламі дыска
Summary(ru_RU.UTF-8): Инструмент управления разделами диска
Group: System/Configuration/Hardware
License: GPL
Url: http://am.xs4all.nl/phpwiki/index.php/PartitionMorpher

Source: %{name}_%version-%alpha.tar.gz
Source10: %name.pamd
Source11: %name.security
Source12: %name.menu
Source3: %{name}_16.png
Source4: %{name}_32.png
Source5: %{name}_64.png
Source6: %name.desktop
Source7: %name.be.po

Requires: consolehelper libparted reiserfsprogs libgtk+2

BuildPreReq: libpam0-devel

# Automatically added by buildreq on Fri Nov 12 2004
BuildRequires: fontconfig freetype2 glib2-devel hostinfo intltool libatk-devel libgtk+2-devel libpango-devel libparted-devel pkgconfig xorg-x11-libs

%description
PartitionMorpher aims to be a simple yet powerful disk partitioning
tool, based on gtk2.

%description -l be_BY.UTF-8
PartitionMorpher мусіць стаць простым але разам з тым поўнафункцыянальным
інструмэнтам для кіраваньня падзеламі на вашых дысках.
PartitionMorpher базуецца на бібліятэцы gtk+ вэрсіі 2.

%description -l ru_RU.UTF-8
PartitionMorpher это інструмент управления разделами диска. В будущем
он должен стать простым но полнофункциональным приложением. Приложение
основано на библиотеке  gtk+2.

%prep
%setup -q -n %name
%__cp %SOURCE7 po/be.po

%build
%__subst 's,\(ALL_LINGUAS=\"\),\1be ,' configure.in
%__libtoolize --copy --force
intltoolize  --copy --force
%__aclocal
%__autoconf
%__automake -a -c -f

export LDFLAGS=-export-dynamic
%configure
%make_build

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install
%__mkdir_p %buildroot%_bindir
#mv %buildroot%_bindir/partitionmorpher %buildroot%_sbindir/partitionmorpher
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/partitionmorpher
install -pD -m640 %SOURCE10 %buildroot%_sysconfdir/pam.d/partitionmorpher
install -pD -m640 %SOURCE11 %buildroot%_sysconfdir/security/console.apps/partitionmorpher

install -pD -m644 %SOURCE6 %buildroot%_datadir/applications/partitionmorpher.desktop
install -pD -m644 %SOURCE12 %buildroot%_menudir/partitionmorpher
install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE4 %buildroot%_iconsdir/%name.png
install -pD -m644 %SOURCE5 %buildroot%_liconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README TODO AUTHORS
%config(noreplace) %_sysconfdir/pam.d/partitionmorpher
%config(noreplace) %_sysconfdir/security/console.apps/partitionmorpher
%_datadir/applications/*.desktop
%_bindir/partitionmorpher
%_sbindir/partitionmorpher
%_menudir/partitionmorpher
%_iconsdir/*.png
%_iconsdir/*/*.png

%changelog
* Mon Sep 12 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3-alt5.1
- rebuild with libparted.

* Fri Apr 01 2005 Vital Khilko <vk@altlinux.ru> 0.3-alt5
- #6266

* Fri Apr 01 2005 Vital Khilko <vk@altlinux.ru> 0.3-alt4
- original version is 0.3-4
- #6372

* Fri Nov 12 2004 Vital Khilko <vk@altlinux.ru> 0.3-alt3
- original version is 0.3-1

* Thu Aug 19 2004 Vital Khilko <vk@altlinux.ru> 0.3-alt2
- fixed #4866
- added belarusian translation
- added russian and belarusian package descriptions.

* Wed Jul 21 2004 Vital Khilko <vk@altlinux.ru> 0.3-alt1
- fixed #4408

* Tue Mar 09 2004 Vital Khilko <vk@altlinux.ru> 0.1-alt1
- initial build
- add icons, .desktop file and altlinux menu entry
